Main Page Groups Namespaces

# sigc::bind_return_functor< T_return, T_functor >::deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > Struct Template Reference

List of all members.

## Public Types
typedef unwrap_reference <T_return>::type | type

### template <class T_return, class T_functor>
template <class T_arg1 = void, class T_arg2 = void, class T_arg3 = void, class T_arg4 = void, class T_arg5 = void, class T_arg6 = void, class T_arg7 = void>
struct sigc::bind_return_functor< T_return, T_functor >::deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >

## Member Typedef Documentation

template <class T_return, class T_functor>
template <class T_arg1 = void, class T_arg2 = void, class T_arg3 = void, class T_arg4 = void, class T_arg5 = void, class T_arg6 = void, class T_arg7 = void>

typedef unwrap_reference<T_return>::type sigc::bind_return_functor<T_return, T_functor>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>::type

The documentation for this struct was generated from the following file:

- adaptors/bind_return.h